Page MenuHomePhabricator

Create API Portal skin
Closed, ResolvedPublic

Description

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 28 2020, 1:56 PM

Change 596797 had a related patch set uploaded (by Reedy; owner: Reedy):
[integration/config@master] Add mediawiki/skins/WikimediaApiPortal to layout.yaml

https://gerrit.wikimedia.org/r/596797

Change 596797 merged by jenkins-bot:
[integration/config@master] Add mediawiki/skins/WikimediaApiPortal to layout.yaml

https://gerrit.wikimedia.org/r/596797

Change 608687 had a related patch set uploaded (by Cicalese; owner: Cicalese):
[mediawiki/tools/release@master] Start branching WikimediaApiPortal skin and WikimediaApiPortalOAuth extension

https://gerrit.wikimedia.org/r/c/mediawiki/tools/release/ /608687

Change 608687 merged by jenkins-bot:
[mediawiki/tools/release@master] Start branching WikimediaApiPortal skin and WikimediaApiPortalOAuth extension

https://gerrit.wikimedia.org/r/c/mediawiki/tools/release/ /608687

Change 609206 had a related patch set uploaded (by Cicalese; owner: Cicalese):
[operations/mediawiki-config@master] Install WikimediaApiPortal/WikimediaApiPortalOAuth - I: Add i18n

https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/ /609206

Change 609210 had a related patch set uploaded (by Cicalese; owner: Cicalese):
[operations/mediawiki-config@master] Install WikimediaApiPortal/WikimediaApiPortalOAuth - II: Add flag to IS

https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/ /609210

Change 609211 had a related patch set uploaded (by Cicalese; owner: Cicalese):
[operations/mediawiki-config@master] Install WikimediaApiPortal/WikimediaApiPortalOAuth - III: Install where enabled

https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/ /609211

Change 609215 had a related patch set uploaded (by Cicalese; owner: Cicalese):
[operations/mediawiki-config@master] Install WikimediaApiPortal/WikimediaApiPortalOAuth - IV: Enable on Beta Cluster

https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/ /609215

@ItSpiderman: please confirm what configuration settings are needed for WikimediaApiPortal in https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/609211.

apaskulin removed ItSpiderman as the assignee of this task.Jul 23 2020, 10:32 PM
apaskulin triaged this task as Medium priority.
apaskulin added a subscriber: ItSpiderman.
apaskulin updated the task description. (Show Details)Jul 28 2020, 3:10 PM

Change 609206 merged by jenkins-bot:
[operations/mediawiki-config@master] Install WikimediaApiPortal/WikimediaApiPortalOAuth - I: Add i18n

https://gerrit.wikimedia.org/r/609206

Change 609210 merged by jenkins-bot:
[operations/mediawiki-config@master] Install WikimediaApiPortal/WikimediaApiPortalOAuth - II: Add flag to IS

https://gerrit.wikimedia.org/r/609210

Change 609211 merged by jenkins-bot:
[operations/mediawiki-config@master] Install WikimediaApiPortal/WikimediaApiPortalOAuth - III: Install where enabled

https://gerrit.wikimedia.org/r/609211

Change 609215 merged by jenkins-bot:
[operations/mediawiki-config@master] Install WikimediaApiPortal/WikimediaApiPortalOAuth - IV: Enable on Beta Cluster

https://gerrit.wikimedia.org/r/609215

apaskulin closed this task as Resolved.Aug 19 2020, 12:56 AM
apaskulin claimed this task.
apaskulin added a subscriber: apaskulin.

Resolving this task since design validation, security review, and performance review are complete. Future tasks are tracked as part of the MediaWiki-skins-WikimediaApiPortal project